Subject: Re: [kitten] I-D Action: draft-ietf-kitten-kerberos-iana-registries-01.txt

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 5 Aug 2013 11:47:16 -0400 (EDT)

On Mon, 25 Feb 2013, [email-masked] wrote:

>
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Common Authentication Technology Next Generation Working Group of the IETF.
>
> 	Title           : Move Kerberos protocol parameter registries to IANA
> 	Author(s)       : Tom Yu
> 	Filename        : draft-ietf-kitten-kerberos-iana-registries-01.txt
> 	Pages           : 8
> 	Date            : 2013-02-25
>
> Abstract:
>   The Keberos 5 network authentication protocol has several numeric
>   protocol parameters.  Most of these parameters are not currently
>   under IANA maintenance.  This document requests that IANA take over
>   the maintenance of the remainder of these Kerberos parameters.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-kitten-kerberos-iana-registries
>
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-ietf-kitten-kerberos-iana-registries-01

I looked this document over and don't see anything objectionable. 
However, current values are given for the name type section only; is the 
intent to give current values in all sections?  (Is this something that 
other people could help with?)

Typo: in section 4, second paragraph, "Assignments for integers 
parameters" should have the singular "integer".

In the last paragraph of 4.6, it's a bit unclear what exactly is entailed 
when "a pre-authentication number may be also be assigned to a related 
typed data number."  One of the "be"s is probably superfluous, but does 
this mean that two names are given to the same number, or that two numbers 
are assigned with similar names?

-Ben

---

From: Benjamin Kaduk <[email-masked]>
Date: Wed, 7 Aug 2013 17:30:49 -0400 (EDT)

On Mon, 5 Aug 2013, Benjamin Kaduk wrote:

> I looked this document over and don't see anything objectionable. However, 
> current values are given for the name type section only; is the intent to 
> give current values in all sections?  (Is this something that other people 
> could help with?)
>
> Typo: in section 4, second paragraph, "Assignments for integers parameters" 
> should have the singular "integer".
>
> when "a pre-authentication number may be also be assigned to a related typed 
> data number."  One of the "be"s is probably superfluous, but does this mean 
> that two names are given to the same number, or that two numbers are assigned 
> with similar names?

Oops, I don't know how I missed that an -02 was available while reviewing 
this.
Section numbers increment by one, but I think the comments still apply.

-Ben